ipe::Face Class Reference
Ipe Cairo interface

`#include <ipefonts.h>`

## Public Member Functions

| Face (const PdfDict *d, const PdfResourceBase *resources) noexcept
| ~Face () noexcept
bool | matches (const PdfDict *d) const noexcept
FontType | type () const noexcept
int | width (int ch) const noexcept
int | glyphIndex (int ch) noexcept
cairo_font_face_t * | cairoFont () noexcept

## Detailed Description

A typeface (aka font), actually loaded (from a font file or PDF file).

## Constructor & Destructor Documentation

## Face()

Face::Face | ( | const PdfDict * | d,
|  | const PdfResourceBase * | resources
| ) |  |

noexcept

References ipe::PdfObj::array(), ipe::CIDType0, ipe::CIDType2, ipe::Buffer::data(), ipe::PdfObj::dict(), ipe::PdfObj::name(), ipe::PdfArray::obj(), ipe::PdfObj::ref(), ipe::Buffer::size(), ipe::Truetype, ipe::Type1, ipe::Unsupported, ipe::PdfName::value(), ipe::PdfRef::value(), and ipe::String::z().

## ~Face()

Face::~Face | ( |  | ) |

noexcept

## Member Function Documentation

## matches()

bool ipe::Face::matches | ( | const PdfDict * | d | ) | const

inline noexcept

## type()

FontType ipe::Face::type | ( |  | ) | const

inline noexcept

## width()

int Face::width | ( | int | ch | ) | const

noexcept

References ipe::size().

## glyphIndex()

int Face::glyphIndex | ( | int | ch | ) |

noexcept

References ipe::PdfObj::array(), ipe::CIDType0, ipe::CIDType2, ipe::PdfArray::count(), ipe::Buffer::data(), ipe::PdfObj::dict(), ipe::PdfDict::inflate(), ipe::PdfObj::name(), ipe::PdfObj::number(), ipe::PdfArray::obj(), ipe::Buffer::size(), ipe::PdfDict::stream(), ipe::Truetype, ipe::Type1, ipe::PdfNumber::value(), and ipe::PdfName::value().

## cairoFont()

cairo_font_face_t* ipe::Face::cairoFont | ( |  | ) |

inline noexcept

The documentation for this class was generated from the following files:

- ipefonts.h
- ipefonts.cpp